> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voting Session Health

> Return backend-only anonymous voting telemetry for one voting session.



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/voting-sessions/{session_id}/health
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/voting-sessions/{session_id}/health:
    get:
      tags:
        - Voting Sessions
      summary: Get Voting Session Health
      description: Return backend-only anonymous voting telemetry for one voting session.
      operationId: >-
        get_voting_session_health_v1_experiments__experiment_id__voting_sessions__session_id__health_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: path
          name: session_id
          required: true
          schema:
            format: uuid
            title: Session Id
            type: string
        - in: query
          name: range
          required: false
          schema:
            default: 15m
            pattern: ^(5m|15m|1h|24h)$
            title: Range
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VotingSessionHealthResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    VotingSessionHealthResponse:
      properties:
        generated_at:
          format: date-time
          title: Generated At
          type: string
        health:
          enum:
            - ok
            - observed
            - degraded
          title: Health
          type: string
        range:
          enum:
            - 5m
            - 15m
            - 1h
            - 24h
          title: Range
          type: string
        recent_events:
          items:
            $ref: '#/components/schemas/VotingSessionHealthEvent'
          title: Recent Events
          type: array
        seats:
          items:
            $ref: '#/components/schemas/VotingSessionHealthSeat'
          title: Seats
          type: array
        session:
          $ref: '#/components/schemas/VotingSessionHealthSession'
        summary:
          $ref: '#/components/schemas/VotingSessionHealthSummary'
      required:
        - generated_at
        - range
        - health
        - session
        - summary
        - seats
        - recent_events
      title: VotingSessionHealthResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    VotingSessionHealthEvent:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        event_type:
          title: Event Type
          type: string
        id:
          format: uuid
          title: Id
          type: string
        metadata:
          additionalProperties: true
          title: Metadata
          type: object
        pair_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Pair Id
        reason_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Code
        session_voter_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Session Voter Id
        token_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Prefix
      required:
        - id
        - created_at
        - session_voter_id
        - token_prefix
        - event_type
        - reason_code
        - duration_ms
        - pair_id
        - metadata
      title: VotingSessionHealthEvent
      type: object
    VotingSessionHealthSeat:
      properties:
        anomaly_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Anomaly Score
        avg_decision_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Decision Ms
        blocked_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Blocked Reason
        bot_probability:
          anyOf:
            - type: number
            - type: 'null'
          title: Bot Probability
        created_at:
          format: date-time
          title: Created At
          type: string
        duplicate_attempts:
          title: Duplicate Attempts
          type: integer
        fast_vote_count:
          title: Fast Vote Count
          type: integer
        id:
          format: uuid
          title: Id
          type: string
        last_pair_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Pair At
        last_vote_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Vote At
        pair_requests:
          title: Pair Requests
          type: integer
        reliability_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Reliability Score
        status:
          enum:
            - active
            - revoked
            - blocked
          title: Status
          type: string
        token_prefix:
          title: Token Prefix
          type: string
        vote_rejections:
          title: Vote Rejections
          type: integer
        vote_submits:
          title: Vote Submits
          type: integer
      required:
        - id
        - token_prefix
        - status
        - created_at
        - last_pair_at
        - last_vote_at
        - pair_requests
        - vote_submits
        - vote_rejections
        - duplicate_attempts
        - fast_vote_count
        - avg_decision_ms
        - reliability_score
        - anomaly_score
        - bot_probability
        - blocked_reason
      title: VotingSessionHealthSeat
      type: object
    VotingSessionHealthSession:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        non_choice_responses:
          title: Non Choice Responses
          type: integer
        spend_spent_credits:
          title: Spend Spent Credits
          type: integer
        status:
          enum:
            - active
            - paused
            - revoked
            - expired
          title: Status
          type: string
        total_votes:
          title: Total Votes
          type: integer
        unique_voters:
          title: Unique Voters
          type: integer
      required:
        - id
        - status
        - total_votes
        - unique_voters
        - non_choice_responses
        - spend_spent_credits
      title: VotingSessionHealthSession
      type: object
    VotingSessionHealthSummary:
      properties:
        active_seats:
          title: Active Seats
          type: integer
        avg_decision_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Decision Ms
        blocked_attempts:
          title: Blocked Attempts
          type: integer
        duplicate_attempts:
          title: Duplicate Attempts
          type: integer
        fast_vote_rate:
          title: Fast Vote Rate
          type: number
        p95_decision_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: P95 Decision Ms
        pair_requests:
          title: Pair Requests
          type: integer
        playback_shortfalls:
          title: Playback Shortfalls
          type: integer
        rejection_rate:
          title: Rejection Rate
          type: number
        suspicious_seats:
          title: Suspicious Seats
          type: integer
        vote_rejections:
          title: Vote Rejections
          type: integer
        vote_submits:
          title: Vote Submits
          type: integer
      required:
        - active_seats
        - pair_requests
        - vote_submits
        - vote_rejections
        - duplicate_attempts
        - blocked_attempts
        - fast_vote_rate
        - rejection_rate
        - avg_decision_ms
        - p95_decision_ms
        - playback_shortfalls
        - suspicious_seats
      title: VotingSessionHealthSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````